import request from "@/utils/request.js";

//获取店铺分类
export function store_cate(data) {
	return request({
		url: '/api/store_cate',
		method: 'get',
		data
	});
}
//获取店铺列表
export function getStoreList(data) {
	return request({
		url: '/api/coustore',
		method: 'get',
		data
	});
}

//获取店铺详情
export function getStoreDetail(data, id) {
	return request({
		url: '/api/store_details/' + id,
		method: 'get',
		data
	});
}

// 获取优惠券详情
export function getYhqDetail(data) {
	return request({
		url: '/api/coupon_datalis',
		method: 'get',
		data
	})
}

export function getGift(data) {
	return request({
		url: '/api/share',
		method: 'post',
		data
	})
}

// 地址逆解析/api/address
export function getCity(data) {
	return request({
		url: '/api/address',
		method: 'get',
		data
	})
}

//兑换
export function goDh(data) {
	return request({
		url: '/api/exchange',
		method: 'post',
		data
	})
}

//转赠
export function gozz(data) {
	return request({
		url: '/api/donation',
		method: 'post',
		data
	})
}

// 发布优惠券
export function storeCoupon(data) {
	return request({
		url: '/api/store_coupon',
		method: 'post',
		data
	})
}